Take emergency
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"repairId": "<string>",
"status": "paging",
"outOfHours": true,
"ackMinutes": 123,
"startedAt": "<string>",
"nextPageAt": "<string>",
"takenBy": "<string>",
"takenAt": "<string>",
"takenVia": "link",
"endedReason": "<string>",
"attempts": [
{
"step": 123,
"name": "<string>",
"reason": "rota",
"at": "<string>",
"sms": "queued",
"email": "sent"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Take emergency
Take an emergency: paging stops and the repair says who has it
POST
/
maintenance-pro
/
repairs
/
{id}
/
emergency-page
/
take
Take emergency
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/emergency-page/take"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"repairId": "<string>",
"status": "paging",
"outOfHours": true,
"ackMinutes": 123,
"startedAt": "<string>",
"nextPageAt": "<string>",
"takenBy": "<string>",
"takenAt": "<string>",
"takenVia": "link",
"endedReason": "<string>",
"attempts": [
{
"step": 123,
"name": "<string>",
"reason": "rota",
"at": "<string>",
"sms": "queued",
"email": "sent"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Available options:
paging, acknowledged, stopped, unanswered, off Available options:
link, desk Show child attributes
Show child attributes